Diablo 1 HD MOD and linux [SOLVED]

Anything related to gaming on Linux Mint including game discussion or questions concerning Steam or Wine.
Forum rules
Before you post please read how to get help
Post Reply
Zeddrich
Level 1
Level 1
Posts: 46
Joined: Sun Dec 04, 2016 2:23 pm

Diablo 1 HD MOD and linux [SOLVED]

Post by Zeddrich » Sun Feb 18, 2018 12:16 am

So, I've successfully installed Diablo on POL I have it running under wine 3.0 with a patched ddraw.dll. The menu screens are a bit glitchy but navigable.

I would like to run the Diablo 1 HD MOD found at this address: http://diablo1.ovh.org/hd/?download

As far as I can tell I've extracted all of the files into the correct directories of the install. I get and Sfx error under wine, with the message: Create Video Stream Sound Object., OpenAL invalid ID.

I was wondering if anyone else had attempted to run the Diablo 1 HD MOD and had similar issues or any success getting it to run under wine.

Thanks for any ideas you can give me.
Last edited by Zeddrich on Sun Feb 18, 2018 12:08 pm, edited 1 time in total.

Zeddrich
Level 1
Level 1
Posts: 46
Joined: Sun Dec 04, 2016 2:23 pm

Re: Diablo 1 HD MOD and linux [SOLVED]

Post by Zeddrich » Sun Feb 18, 2018 12:07 pm


Zeddrich
Level 1
Level 1
Posts: 46
Joined: Sun Dec 04, 2016 2:23 pm

Re: Diablo 1 HD MOD and linux [SOLVED]

Post by Zeddrich » Sun Jul 15, 2018 6:54 am

I feel the need to and another amendment to this thread. I'll explain, I had my hd go out and was reinstalling everything from the ground up. Going back through I had a problem with Diablo 1 HD MOD the sound wasn't working properly, after going through and doing everything the same way I did before.

I ran a debug in POL and this is what I found:

ALSA lib conf.c:3357:(snd_config_hooks_call) Cannot open shared library libasound_module_conf_pulse.so
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM default

Which pointed to libasound_module_conf_pulse.so as a missing library. I did some searching and found that this same issue was a problem with skype also, because it also uses 32bit libraries(it's odd that this HD MOD is only for 64bit systems but needs a 32bit library).

so i ran: sudo apt-get install libasound2-plugins:i386

After I ran that, I had sound and the game so far appears to be running normally.

My current thought is that previously I had installed Dwarf Fortress which requires libopenal:i386 and this might have also filled the missing library requirement; which would explain why I didn't have this problem on my old install.

Anyways, I hope this helps someone else in the future should they have the same problems.

darsh
Level 1
Level 1
Posts: 22
Joined: Fri Dec 08, 2017 7:47 pm
Location: U.S.A.

Re: Diablo 1 HD MOD and linux [SOLVED]

Post by darsh » Fri Jul 20, 2018 8:57 pm

Now I want to try this so your info may come in handy for me, let alone the post itself which is useful for the idea, thanks! (I sent you a private message by the way.) Classic, great game. I was also wanted to play the Hellfire extension and couldn't get it to work when I tried.

Blizzard expanded from only Windows to also including Mac versions of their games and so hopefully they grow to Linux releases also, for titles like Diablo 3, World of/Warcraft, etc.!
Linux Mint 19 Cinnamon 64-bit user

Post Reply

Return to “Gaming on Linux Mint”